import { defineComponent as P, ref as _, watch as T, resolveComponent as f, openBlock as S, createElementBlock as q, createElementVNode as u, withDirectives as C, normalizeClass as N, unref as e, vShow as R, createVNode as t, withCtx as a, createBlock as U, createCommentVNode as I, withKeys as $, createTextVNode as k, pushScopeId as B, popScopeId as H } from "vue";
import { S as O } from "./types-b6ebfd92.mjs";
import { l as V } from "./index-099c5f0b.mjs";
import { message as j } from "ant-design-vue";
import { cloneDeep as z } from "lodash";
import { u as K } from "./index-71a1a859.mjs";
import { _ as L } from "./_plugin-vue_export-helper-dad06003.mjs";
var d = /* @__PURE__ */ ((l) => (l.PHONE = "phone", l.USERNAME = "username", l))(d || {});
const A = {
  phone: {
    rules: {
      phone: [
        {
          required: !0,
          message: "请输入用户名"
        },
        {
          trigger: "blur",
          pattern: /^1(3[0-9]|4[5,7]|5[0,1,2,3,5,6,7,8,9]|6[2,5,6,7]|7[0,1,2,3,5,6,7,8]|8[0-9]|9[1,5,8,9])\d{8}$/,
          message: "请输入正确的手机号码"
        }
      ],
      password: [
        {
          required: !0,
          message: "请输入密码"
        }
      ]
    },
    formData: {
      phone: "",
      password: ""
    }
  },
  username: {
    rules: {
      username: [
        {
          required: !0,
          message: "请输入用户名"
        }
      ],
      password: [
        {
          required: !0,
          message: "请输入密码"
        }
      ]
    },
    formData: {
      username: "",
      password: ""
    }
  }
}, F = (l) => (B("data-v-2abdafa9"), l = l(), H(), l), G = { class: "login-wrapper" }, J = /* @__PURE__ */ F(() => /* @__PURE__ */ u("div", { class: "title" }, "欢迎登录", -1)), W = { class: "body" }, Q = { class: "model_box" }, X = { class: "submit" }, Y = { class: "link-wrapper" }, Z = /* @__PURE__ */ P({
  __name: "index",
  emits: ["update:status"],
  setup(l, { emit: D }) {
    const h = D, y = K(), E = _(), v = _(!1), i = _(d.USERNAME), n = _(), b = _();
    T(
      i,
      (s) => {
        n.value = z(A[s].formData), b.value = A[s].rules;
      },
      {
        immediate: !0
      }
    );
    const M = async () => {
      try {
        v.value = !0;
        const { username: s, password: o } = n.value;
        let p = await V.login(s, o);
        const { access_token: m, refresh_token: c, user_id: g } = p;
        localStorage.setItem("access_token", m), localStorage.setItem("refresh_token", c), localStorage.setItem("user_id", g), y.push("/");
      } catch (s) {
        j.error(s.msg);
      } finally {
        v.value = !1;
      }
    }, x = () => {
      var s;
      console.log("router :>> ", y), (s = E.value) == null || s.validate().then(() => {
        M();
      }).catch((o) => {
        console.log("error :>> ", o);
      });
    };
    return (s, o) => {
      const p = f("svg-icon"), m = f("a-input"), c = f("a-form-item"), g = f("a-form"), w = f("a-button");
      return S(), q("div", G, [
        J,
        u("div", W, [
          C(u("div", Q, [
            u("div", {
              class: N(["model_item", "left", { active: e(i) === e(d).USERNAME }]),
              onClick: o[0] || (o[0] = (r) => i.value = e(d).USERNAME)
            }, " 用户名登录 ", 2),
            u("div", {
              class: N(["model_item", { active: e(i) === e(d).PHONE }]),
              onClick: o[1] || (o[1] = (r) => i.value = e(d).PHONE)
            }, " 手机号登录 ", 2)
          ], 512), [
            [R, !1]
          ]),
          t(g, {
            autocomplete: "off",
            model: e(n),
            rules: e(b),
            ref_key: "loginRef",
            ref: E
          }, {
            default: a(() => [
              e(i) === "username" ? (S(), U(c, {
                key: 0,
                name: "username"
              }, {
                default: a(() => [
                  t(m, {
                    value: e(n).username,
                    "onUpdate:value": o[2] || (o[2] = (r) => e(n).username = r),
                    class: "input-item",
                    placeholder: "用户名",
                    allowClear: ""
                  }, {
                    prefix: a(() => [
                      t(p, { icon: "UserOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              })) : I("", !0),
              e(i) === "phone" ? (S(), U(c, {
                key: 1,
                name: "phone"
              }, {
                default: a(() => [
                  t(m, {
                    value: e(n).phone,
                    "onUpdate:value": o[3] || (o[3] = (r) => e(n).phone = r),
                    class: "input-phone",
                    allClear: "",
                    placeholder: "请输入手机号"
                  }, {
                    prefix: a(() => [
                      t(p, { icon: "PhoneOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              })) : I("", !0),
              t(c, { name: "password" }, {
                default: a(() => [
                  t(m, {
                    type: "password",
                    value: e(n).password,
                    "onUpdate:value": o[4] || (o[4] = (r) => e(n).password = r),
                    class: "input-item",
                    placeholder: "密码",
                    allowClear: "",
                    onKeydown: $(x, ["enter"])
                  }, {
                    prefix: a(() => [
                      t(p, { icon: "LockOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["model", "rules"]),
          u("div", X, [
            t(w, {
              type: "primary",
              block: "",
              onClick: x,
              class: "input-item",
              loading: e(v)
            }, {
              default: a(() => [
                k(" 登录 ")
              ]),
              _: 1
            }, 8, ["loading"])
          ]),
          C(u("div", Y, [
            t(w, {
              type: "link",
              onClick: o[5] || (o[5] = (r) => h("update:status", e(O).REGISTER))
            }, {
              default: a(() => [
                k("注册账号")
              ]),
              _: 1
            }),
            t(w, {
              class: "btn-forget-passwd",
              type: "link",
              onClick: o[6] || (o[6] = (r) => h("update:status", e(O).RESET_PASSWD))
            }, {
              default: a(() => [
                k("忘记密码")
              ]),
              _: 1
            })
          ], 512), [
            [R, !1]
          ])
        ])
      ]);
    };
  }
});
const ee = /* @__PURE__ */ L(Z, [["__scopeId", "data-v-2abdafa9"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/Login/components/Signing/index.vue"]]), ie = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: ee
}, Symbol.toStringTag, { value: "Module" }));
export {
  ee as S,
  ie as _
};
